GrailsIvyDependencies (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Groovy] Class GrailsIvyDependencies

    java.lang.Object
      org.codehaus.groovy.grails.resolve.GrailsCoreDependencies
          org.codehaus.groovy.grails.resolve.GrailsIvyDependencies

    @groovy.transform.CompileStatic
    class GrailsIvyDependencies
    extends GrailsCoreDependencies

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class GrailsCoreDependencies
buildDependencies, compileDependencies, docDependencies, grailsVersion, groovyVersion, h2Version, java5compatible, jaxbVersion, log4jVersion, providedDependencies, runtimeDependencies, servletApiVersion, servletVersion, spockVersion, testDependencies

Constructor Summary
`GrailsIvyDependencies(java.lang.String grailsVersion)`
`GrailsIvyDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible = false, boolean isGrailsProject = true)`

Method Summary
`groovy.lang.Closure` | `createDeclaration()` Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails.

Methods inherited from class GrailsCoreDependencies
getBuildDependencies, getBuildDependencyPatterns, getCompileDependencies, getDocDependencies, getGrailsVersion, getProvidedDependencies, getRuntimeDependencies, getTestDependencies, isJava5compatible, setJava5compatible

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsIvyDependencies

    GrailsIvyDependencies(java.lang.String grailsVersion)

### GrailsIvyDependencies

    GrailsIvyDependencies(java.lang.String grailsVersion, java.lang.String servletVersion, boolean java5compatible = false, boolean isGrailsProject = true)

Method Detail

### createDeclaration

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    groovy.lang.Closure createDeclaration()

  Returns a closure suitable for passing to a DependencyDefinitionParser that will configure the necessary core dependencies for Grails. This method is used internally and should not be called in user code.

Groovy Documentation